import { ref, onMounted } from 'vue';
import { useRoute } from 'vue-router';
import { usePageFrontmatter } from '@vuepress/client';
let PAGE_PASSWORD_PASS = 'PAGE_PASSWORD_PASS';
export function usePassword() {
    const route = useRoute();
    PAGE_PASSWORD_PASS = `${PAGE_PASSWORD_PASS}:${route.path}`;
    const frontmatter = usePageFrontmatter();
    const pagePasswordPass = ref(true);
    onMounted(() => {
        let pagePasswordPassCache = 'true';
        // @ts-ignore
        if (!__VUEPRESS_SSR__) {
            pagePasswordPassCache = sessionStorage.getItem(PAGE_PASSWORD_PASS);
        }
        if (frontmatter.value.password && pagePasswordPassCache !== 'true') {
            pagePasswordPass.value = false;
        }
    });
    const handlePass = () => {
        pagePasswordPass.value = true;
        // @ts-ignore
        if (!__VUEPRESS_SSR__) {
            sessionStorage.setItem(PAGE_PASSWORD_PASS, 'true');
        }
    };
    return { pagePasswordPass, handlePass };
}
